Page MenuHomePhabricator

Highlight not moving in epymc when focus leaves genlist/gengrid
Closed, WontfixPublic

Description

ats

bu5hm4n created this task.Mar 29 2018, 1:13 AM
bu5hm4n triaged this task as High priority.
DaveMDS added a comment.EditedApr 2 2018, 2:53 AM

This one is somehow related to in-theme focus highlight.
If you switch to normal focus highlight (epymc/data/themes/default/elm_extension.edc:627) the issue go away,
You can at that point see a different issue where the first genlist item is not highlighted on fist show.

I think this is the same issue as you can see in focus-test-6, where the genlist item is not highlighted on first start (note: I just updated that test to reveal this issue)

zmike edited projects, added Restricted Project; removed efl.Jun 11 2018, 6:50 AM
bu5hm4n edited projects, added efl: widgets; removed Restricted Project.Jun 11 2018, 7:05 AM
bu5hm4n edited projects, added Restricted Project; removed efl: widgets, Efl.Ui.Focus.Jun 12 2018, 12:05 AM
bu5hm4n moved this task from Restricted Project Column to Restricted Project Column on the Restricted Project board.Jun 12 2018, 2:49 AM
DaveMDS closed this task as Wontfix.Jul 9 2018, 12:15 PM

I gave up on using the elm focus in my media center some weeks ago, I wrote a custom focus handling instead.

So I don't have anymore a test for this issue